| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::TextureFrameControllerValue Class Reference
Core » General

Predefined controller value for getting / setting the frame number of a texture layer. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::TextureFrameControllerValue:
[legend]

## Public Member Functions
| TextureFrameControllerValue (TextureUnitState *t)
Real | getValue (void) const
| Gets the frame number as a parametric value in the range [0,1]. More...
void | setValue (Real value)
| Sets the frame number as a parametric value in the range [0,1]; the actual frame number is (value * numFrames) % numFrames). More...

## Detailed Description

Predefined controller value for getting / setting the frame number of a texture layer.

## Constructor & Destructor Documentation

## ◆ TextureFrameControllerValue()

Ogre::TextureFrameControllerValue::TextureFrameControllerValue | ( | TextureUnitState * | t | ) |

## Member Function Documentation

## ◆ getValue()

Real Ogre::TextureFrameControllerValue::getValue | ( | void |  | ) | const
| virtual

Gets the frame number as a parametric value in the range [0,1].

Implements Ogre::ControllerValue< Real >.

## ◆ setValue()

void Ogre::TextureFrameControllerValue::setValue | ( | Real | value | ) |
| virtual

Sets the frame number as a parametric value in the range [0,1]; the actual frame number is (value * numFrames) % numFrames).

Implements Ogre::ControllerValue< Real >.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h